Create an evaluator
curl --request POST \
--url https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/evaluators \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"name": "Refund policy adherence",
"category": "custom",
"description": "Checks the agent follows the refund policy.",
"tags": [
"llm-judge"
],
"prompt_template": "Does this answer follow the refund policy?\n\nInput: {{input}}\nOutput: {{output}}"
}
'import requests
url = "https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/evaluators"
payload = {
"name": "Refund policy adherence",
"category": "custom",
"description": "Checks the agent follows the refund policy.",
"tags": ["llm-judge"],
"prompt_template": "Does this answer follow the refund policy?
Input: {{input}}
Output: {{output}}"
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Refund policy adherence',
category: 'custom',
description: 'Checks the agent follows the refund policy.',
tags: ['llm-judge'],
prompt_template: 'Does this answer follow the refund policy?\n\nInput: {{input}}\nOutput: {{output}}'
})
};
fetch('https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/evaluators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/evaluators",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Refund policy adherence',
'category' => 'custom',
'description' => 'Checks the agent follows the refund policy.',
'tags' => [
'llm-judge'
],
'prompt_template' => 'Does this answer follow the refund policy?
Input: {{input}}
Output: {{output}}'
]),
CURLOPT_COOKIE => "session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/evaluators"
payload := strings.NewReader("{\n \"name\": \"Refund policy adherence\",\n \"category\": \"custom\",\n \"description\": \"Checks the agent follows the refund policy.\",\n \"tags\": [\n \"llm-judge\"\n ],\n \"prompt_template\": \"Does this answer follow the refund policy?\\n\\nInput: {{input}}\\nOutput: {{output}}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/evaluators")
.header("cookie", "session=")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Refund policy adherence\",\n \"category\": \"custom\",\n \"description\": \"Checks the agent follows the refund policy.\",\n \"tags\": [\n \"llm-judge\"\n ],\n \"prompt_template\": \"Does this answer follow the refund policy?\\n\\nInput: {{input}}\\nOutput: {{output}}\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/evaluators")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Refund policy adherence\",\n \"category\": \"custom\",\n \"description\": \"Checks the agent follows the refund policy.\",\n \"tags\": [\n \"llm-judge\"\n ],\n \"prompt_template\": \"Does this answer follow the refund policy?\\n\\nInput: {{input}}\\nOutput: {{output}}\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"category": "quality",
"description": "<string>",
"tags": [
"<string>"
],
"prompt_template": "<string>",
"is_default": true,
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}Create an evaluator
Creates a custom, organization-owned evaluator.
Auth: session. Permission: manage_agents or manage_org_settings.
POST
/
orgs
/
{orgId}
/
evaluators
Create an evaluator
curl --request POST \
--url https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/evaluators \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"name": "Refund policy adherence",
"category": "custom",
"description": "Checks the agent follows the refund policy.",
"tags": [
"llm-judge"
],
"prompt_template": "Does this answer follow the refund policy?\n\nInput: {{input}}\nOutput: {{output}}"
}
'import requests
url = "https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/evaluators"
payload = {
"name": "Refund policy adherence",
"category": "custom",
"description": "Checks the agent follows the refund policy.",
"tags": ["llm-judge"],
"prompt_template": "Does this answer follow the refund policy?
Input: {{input}}
Output: {{output}}"
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Refund policy adherence',
category: 'custom',
description: 'Checks the agent follows the refund policy.',
tags: ['llm-judge'],
prompt_template: 'Does this answer follow the refund policy?\n\nInput: {{input}}\nOutput: {{output}}'
})
};
fetch('https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/evaluators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/evaluators",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Refund policy adherence',
'category' => 'custom',
'description' => 'Checks the agent follows the refund policy.',
'tags' => [
'llm-judge'
],
'prompt_template' => 'Does this answer follow the refund policy?
Input: {{input}}
Output: {{output}}'
]),
CURLOPT_COOKIE => "session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/evaluators"
payload := strings.NewReader("{\n \"name\": \"Refund policy adherence\",\n \"category\": \"custom\",\n \"description\": \"Checks the agent follows the refund policy.\",\n \"tags\": [\n \"llm-judge\"\n ],\n \"prompt_template\": \"Does this answer follow the refund policy?\\n\\nInput: {{input}}\\nOutput: {{output}}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/evaluators")
.header("cookie", "session=")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Refund policy adherence\",\n \"category\": \"custom\",\n \"description\": \"Checks the agent follows the refund policy.\",\n \"tags\": [\n \"llm-judge\"\n ],\n \"prompt_template\": \"Does this answer follow the refund policy?\\n\\nInput: {{input}}\\nOutput: {{output}}\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/evaluators")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Refund policy adherence\",\n \"category\": \"custom\",\n \"description\": \"Checks the agent follows the refund policy.\",\n \"tags\": [\n \"llm-judge\"\n ],\n \"prompt_template\": \"Does this answer follow the refund policy?\\n\\nInput: {{input}}\\nOutput: {{output}}\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"category": "quality",
"description": "<string>",
"tags": [
"<string>"
],
"prompt_template": "<string>",
"is_default": true,
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}Authorizations
The session cookie set when you sign in to AgentHub or ModelHub in a browser. The cookie name shown here is illustrative. There are no API tokens for these endpoints.
Path Parameters
Organization id.
Body
application/json
Required string length:
1 - 128Must contain at least one of the placeholders {{trace}}, {{input}} or {{output}}.
Required string length:
1 - 24000Available options:
quality, agent, safety, mcp, memory, hallucination, bias, privacy, faithfulness, relevance, performance, custom Maximum string length:
2000Maximum array length:
20Required string length:
1 - 64Response
Created.
Show child attributes
Show child attributes